LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XFont Interface Referencepublished

describes a font on a specific device. More...

`import"XFont.idl";`

Inheritance diagram for XFont:

## Public Member Functions
com::sun::star::awt::FontDescriptor | getFontDescriptor ()
| returns the description of the font. More...
com::sun::star::awt::SimpleFontMetric | getFontMetric ()
| returns additional information about the font. More...
short | getCharWidth ([in] char c)
| returns the width of the specified character. More...
sequence< short > | getCharWidths ([in] char nFirst, [in] char nLast)
| returns the widths of the specified characters. More...
long | getStringWidth ([in] string str)
| returns the string width. More...
long | getStringWidthArray ([in] string str, [out] sequence< long > aDXArray)
| returns the string and the character widths. More...
void | getKernPairs ([out] sequence< char > Chars1, [out] sequence< char > Chars2, [out] sequence< short > Kerns)
| queries the kerning pair table. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

describes a font on a specific device.

All values are in pixels within this device.

## Member Function Documentation

## ◆ getCharWidth()

short getCharWidth | ( | [in] char | c | ) |

returns the width of the specified character.

Returns
  the character width measured in pixels for the device.

## ◆ getCharWidths()

sequence< short > getCharWidths | ( | [in] char | nFirst,
|  | [in] char | nLast
| ) |  |

returns the widths of the specified characters.

Returns
  a sequence of the widths of subsequent characters for this font.

## ◆ getFontDescriptor()

com::sun::star::awt::FontDescriptor getFontDescriptor | ( |  | ) |

returns the description of the font.

The unit of measurement is pixels for the device.

## ◆ getFontMetric()

com::sun::star::awt::SimpleFontMetric getFontMetric | ( |  | ) |

returns additional information about the font.

## ◆ getKernPairs()

void getKernPairs | ( | [out] sequence< char > | Chars1,
|  | [out] sequence< char > | Chars2,
|  | [out] sequence< short > | Kerns
| ) |  |

queries the kerning pair table.

## ◆ getStringWidth()

long getStringWidth | ( | [in] string | str | ) |

returns the string width.

Returns
  the width of the specified string of characters measured in pixels for the device.

## ◆ getStringWidthArray()

long getStringWidthArray | ( | [in] string | str,
|  | [out] sequence< long > | aDXArray
| ) |  |

returns the string and the character widths.

Returns
  the width of the specified string of characters measured in pixels for the device.

Parameters

  str | the input string.
  aDXArray | receives the width of every single character measured in pixels for the device.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XFont.idl